Bug 242618 - 1GB requirement for live boot is too low for x86_64
Summary: 1GB requirement for live boot is too low for x86_64
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 04:33 UTC by Dave Miller
Modified: 2013-03-06 03:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 15:21:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Miller 2007-06-05 04:33:29 UTC
Description of problem: I attempted to boot my HP laptop (zv6015us) with the
x86_64 live DVD image in RAM.  The system booted but was extremely sluggish
(e.g., even mouse moves too a while to happen).  After trying a few things that
only seemed to make things worse (click on the browser start, attempt to add the
CPU monitor to the panel, etc.), I attempted to "get out" with CTRL-ALT-DEL and
CTRL-ALT-Backspace.  I finally got to an alternate console at which point I got
lots of messages coming back to the screen indicating that there was no memory
available which was causing various things to fail.  I eventually just held down
the power button since I couldn't get a command prompt.  The system booted with
no problem and was quite usable when I selected to boot option of "run from image."

Version-Release number of selected component (if applicable): 
Fedora 7 final

How reproducible: 
Haven't tried again to run with a RAM image.  Since the problem described
occurred before I really had a chance to do anything, I'm fairly confident the
problem can be reproduced.  As an example, the "Fedora Welcome Page" that was
displayed when I successfully booted with "run from image" never got displayed
when I tried running with the image in RAM.

Steps to Reproduce:
1. System should have exactly 1GB of RAM
2. Boot with x86_64 live image and request image be copied to RAM.
3. Attempt to use system.
  
Actual results:
See problem description.

Expected results:
Boot prompt indicated that 1GB of RAM was sufficient to run with the live image
mapped to RAM.  I expected a usable system.  I don't know what the minimum
system requirement is for x86_84 but 1GB is too low.

Additional info:
meminfo information for the system running 2.6.21.3 kernel:
[dave@spindle ~]# cat /proc/meminfo 
MemTotal:      1024132 kB
MemFree:        557832 kB
Buffers:         46760 kB
Cached:         232252 kB
SwapCached:          0 kB
Active:         173200 kB
Inactive:       227192 kB
SwapTotal:     2096440 kB
SwapFree:      2096440 kB
Dirty:               4 kB
Writeback:           0 kB
AnonPages:      121380 kB
Mapped:          37312 kB
Slab:            27012 kB
SReclaimable:    11284 kB
SUnreclaim:      15728 kB
PageTables:      19472 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   2608504 kB
Committed_AS:   357800 kB
VmallocTotal: 34359738367 kB
VmallocUsed:    264516 kB
VmallocChunk: 34359473175 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     2048 kB

Comment 1 Jeremy Katz 2007-09-13 15:21:25 UTC
Removed the boot entry as it's definitely misleading and its really a bit of an
expert option.


Note You need to log in before you can comment on or make changes to this bug.